//index.js
//获取应用实例
const app = getApp()
const Onepass = require('../../utils/kscop.js')

Page({
	data: {
		phoneborderbottomcolor: '#ced2d7',
		msgcodeborderbottomcolor: '#ced2d7',
		btndisabled: true,
		isbtnloading: false,
		mask: false,
		phone: '',
		operator_url: '',
		app_id: 'fXViXHkbOAIpNWwRKHMgS2hdfFovNVUNL24sD20MZVt+XF8KLFsCCHQMBVorWWAAb00CU38cDlUrImYWfmZ6X20LNAI8Jn8PP1o7X2hKbwM7JXhVO0MvVQ==',
		checkGatewayUrl: 'https://console.ksyun.com/i/console/onepass/demo/web/validate',
		width: 300,
	},
	//事件处理函数
	phoneinput: function (e) {
		const target = e.detail;
		if (!target.value) { return; }
		// 去掉空格
		let val = target.value.replace(/[^\d]/g, '');
		if (val.length > 11) {
			val = val.substring(0, 11);
		}
		this.setData({ btndisabled: val.length !== 11, phone: val.replace(/[^\d]/g, '') })
		return val;
	},
	preventTouchMove() { },
	bindfocus: function (e) {
		var target = e.currentTarget || e.target;
		if (target.id === 'phonenumber') {
			this.setData({ phoneborderbottomcolor: '#3973ff' })
		} else {
			this.setData({ msgcodeborderbottomcolor: '#3973ff' })
		}
	},
	bindblur: function (e) {
		var target = e.currentTarget || e.target;
		this.setData({ msgcodeborderbottomcolor: '#ced2d7' })
	},
	btnClick: function (e) {
		if (this.data.btndisabled === true || this.data.isbtnloading === true) {
			return;
		}
		this.setData({ isbtnloading: true, operator_url: '' })
		var that = this;
		this.opInstance.gateway(this.data.phone, function (err, data) {
			if (!err) {
				that.setData({ operator_url: data })
			} else {
				wx.showToast({
					title: '本机号码校验失败',
					icon: 'none',
					duration: 2000
				})
				that.setData({ isbtnloading: false })
			}
		})
	},
	imgload: function (e) {
		var that = this;
		this.opInstance.getTokenStatus(function (err, data) {
			if (!err) {
				//网关调用成功，调用服务端接口去获取校验结果 check gateway
				wx.request({
					url: that.data.checkGatewayUrl,
					method: 'POST',
					header: { 'content-type': 'application/json' },
					data: {
						app_id: that.data.app_id,
						token: data.process_id + ' ' + data.accesscode,
						mobile: that.data.phone,
					},
					success: function (res) {
						var data = res.data;
						that.setData({ isbtnloading: false })
						if (data.errno == 10000) {
							if (data.data.Code == 200 && data.data.AuthStatus == 1) {
								// 本机号码校验成功
								that.setData({ mask: true })
							} else {
								wx.showToast({
									title: '本机号码校验失败',
									icon: 'none',
									duration: 2000
								});
							}
						} else {
							if(data.errno == 621004 || data.errno == 621005){
								wx.showToast({
									title: data.errmsg,
									icon: 'none',
									duration: 2000
								})
							}else{
								wx.showToast({
									title: '本机号码校验失败',
									icon: 'none',
									duration: 2000
								});
							}
						}
					},
					fail: function () {
						that.setData({ isbtnloading: false })
						wx.showToast({
							title: '本机号码校验失败',
							icon: 'none',
							duration: 2000
						})
					}
				})
			} else {
				// 调用失败
				wx.showToast({
					title: '本机号码校验失败',
					icon: 'none',
					duration: 2000
				})
				that.setData({ isbtnloading: false })
			}
		})

	},
	tryagain: function () {
		this.setData({
			mask: false,
			btndisabled: true,
			phone: "",
			mobile:""
		})
	},
	onLoad: function () {
		try {
			let that = this;
			wx.getSystemInfo({
				success(res) {
					that.width = res.screenWidth;
				}
			});
		} catch (error) {

		}
		this.opInstance = new Onepass({
			app_id: this.data.app_id,
			// timeout: 3000,// 超时时间
			// pre_init: true // 默认为true 提前获取运营商参数
		});
	},
})
